<!DOCTYPE html>
<html>
<head>
	<title>HTML Tables and Forms</title>
</head>
<body bgcolor="#AAAFFF">
	<header>
		<h2>HTML Entities</h2>
	</header>
	<main>
		<section>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can mix up with HTML code.</em></p>

			<table border="2">
				<thead>
					<tr>
						<th colspan ="2">Entity</th>
						<th rowspan="2">Description</th>
					</tr>
					<tr>
						<th>Symbol</th>
						<th>Name/Number</th>
					</tr>
				</thead>

				<tbody>
					<tr>
						<!-- this is the first column in the row -->
						<td>&lt;</td>
						<!-- this is the second column in the row -->
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<!-- this is the first column in the row -->
						<td>&gt;</td>
						<!-- this is the second column in the row -->
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotationmark (apostrophe)</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>
					</tr>

				</tbody>

				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>	
				</tfoot>
			</table>
		</section>

		<section>
			<h2>HTML Forms</h2>

			<p><em>Input elements that make up a form.</em></p>
				
			<form>
				<label for="fullname">Full Name:</label><br/>
				<input type ="text" name="fullname" id="fullname" required/><br/>

				<label for="birthdate">Birthdate:</label><br/>
				<input type ="date" name="birthdate" id="birthdate"><br/>

				<label>Age:</label><br/>
				<input type ="number" name="age"><br/>				

				<label>Gender:</label><br/>	
				<select name="gender">
					<option value="male">Male</option>
					<option value="female">Female</option>

				</select><br/>
				<label>Notes:</label><br/>
				<textarea name="notes" rows="5" cols="5"></textarea>
				<br/>

				<label>New user:</label><br/>

				<input type ="radio" name="new_user" value="yes" id="yes"/>
				<label for="yes">Yes</label><br/>

				<input type ="radio" name="new_user" value="no" id="no"/>
				<label for="no">No</label><br/>

				<label>Role:</label><br/>

				<input type ="checkbox" name="role1" id="role1"/>
				<label for="role1">Developer</label><br/>


				<input type ="checkbox" name="role2" id="role2"/>
				<label for="role2">Student</label><br/>


				<input type ="checkbox" name="role3" id="role3"/>
				<label for="role3">Manager</label><br/>

				<button>Submit</button><br/>
				<button type="reset">Reset</button><br/>
			</form>
		</section>
	</main>
</body>
</html>